/* szModuleName__ []  = "f:/r3/code/c/incl/utl.h" */
/* szLastVersion []   = "Version 0.2" */
/* szLastSave []      = "1994-07-12*13:59" */
/***********************************************************************
Abstract
utl.h - UTL interface definitions for users.

(C) Copyright AU-System Communication AB 1994.

Change activity
1994-01-24 1.00 BBN  Initial version by Björn Brodin

Description

***********************************************************************/
#include "apitypes.h"
#include <time.h>

#define TO_UPPER TRUE
#define UNCHANGED FALSE 
                      
struct ErrorDataStruc
  {
  INT32 iValue;
  char  ConstName[30];
  char  ErrTxt[100];
  };
  

struct AdaTypeStrStruc
  {
  INT32 iMaxLen;
  INT32 iLen;
  char Text[1];   
  };
  

extern INT32 UtlFileToFixRowLen(char *pFileStr,char *pConvFileName);
extern void UtlStrToUpper(char *pStr,INT32 iLen);
extern INT32 UtlIntToNet(INT32 iLocalInt);
extern INT32 UtlIntFromNet(INT32 iLocalInt);
extern void UtlInitTimeoutHandler(void );
extern INT32 UtlCancelTimeout ( void );
extern INT32 UtlStartTimeout ( INT32 timeout);
extern void UtlTimeoutHandler(int signal);
extern INT32 UtlStripStr(char *pStr,INT32 iLen,INT32 iCheckNotEmpty,INT32 iSetToUpper);
extern INT32 UtlSearchErrMsgTab(INT32 iErrNo,char *pConstname,char *pErrTxt);
extern void UtlInitErrMsgTab();
void UtlNradTimeStr(time_t lTime,char *TimeStr);

